#!/usr/bin/env python3

from setuptools import setup, find_packages
import sys


def parse_requirements():
    reqs = []
    with open("requirements.txt", "r") as handle:
        for line in handle:
            reqs.append(line)
    return reqs


setup(
    name="repartir_taches",
    version="0.0.1",
    description="Réparttion des tâches pour le WE chorale",
    url="https://git.tobast.fr/RainbowSwingers/WE-repartir-taches",
    packages=find_packages(),
    include_package_data=True,
    package_data={"staticdeps": ["py.typed"]},
    install_requires=parse_requirements(),
    entry_points={
        "console_scripts": [
            ("repartir_taches = repartir_taches.entrypoint:main"),
        ]
    },
)
